---
apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: weskic
  namespace: managed
spec:
  parentRefs:
  - name: vip-240
    sectionName: main
    namespace: istio-system
  # - name: vip-240
  #   sectionName: external-weskic-ch
  #   namespace: istio-system
  hostnames: ["weskic.agepoly.ch"] #, "dancesquare.epfl.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: weskic
      port: 80